Skip to main content
POST
https://{tenantDomain}/api/v2
/
experimentation
/
feature-flags
Create a feature flag for the Experiment Center.
curl --request POST \
  --url https://{tenantDomain}/api/v2/experimentation/feature-flags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parameters": {},
  "description": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "type": "auth0",
  "status": "draft",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "parameters": {}
}

Documentation Index

Fetch the complete documentation index at: https://auth0.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Create a feature flag for experiment configuration

name
string
required

A human-readable name for the feature flag

Required string length: 3 - 255
Pattern: ^(?!.*\x00)\S(.*\S)?$
parameters
object
required

Configuration parameters for this feature flag

description
string

A description of what this feature flag controls

Required string length: 3 - 1024
Pattern: ^(?!.*\x00)\S(.*\S)?$

Response

Feature flag successfully created.

id
string
required
Pattern: ^flg_[A-HJ-NP-Za-km-z1-9]+$
name
string
required
type
enum<string>
required

Filter by type. Exact match.

Available options:
auth0,
self
status
enum<string>
required

Filter by status. Exact match.

Available options:
draft,
active,
archived
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string
parameters
object

Configuration parameters for this feature flag